## django-celery-email 3.0.0

=== requirements.txt ===
Django>=2.2
celery>=4.0
django-appconf
flake8
twine
wheel

=== debian/changelog ===
django-celery-email (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * d/watch: Fix uscan error.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2025 19:17:45 +0000

django-celery-email (3.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-celery.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 19:57:45 +0000

django-celery-email (3.0.0-1) unstable; urgency=low

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Sat, 02 Oct 2021 12:31:23 +0200

=== debian/control ===
Source: django-celery-email
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 13~),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-celery,
 python3-django (>= 2:2.2~),
 python3-django-appconf,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/pmclanahan/django-celery-email
Vcs-Git: https://salsa.debian.org/python-team/packages/django-celery-email.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-celery-email

Package: python3-django-celery-email
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django email backend that uses a celery task for sending
 django-celery-email adds an e-mail backend to Django that queues
 the e-mail as a Celery task, to be sent out by Celery in the background.
 .
 By default, it uses Django's built-in SMTP backend to do the final sending
 then, but any other backend can be used as well.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=djcelery_email
# missing test data in sdist; upstream contacted
export PYBUILD_DISABLE=test
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings=tests.settings tests"
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-celery-email/django-celery-email-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
